=== debian/changelog ===
ros-melodic-mocap-nokov (0.0.2-2bionic) bionic; urgency=high

  * Upload project
  * Initial commit
  * Contributors: duguguang

 -- nokov <nokov-mocap@nokov.com>  Sun, 21 Aug 2022 16:00:00 -0000
